glab(1)

NAME
glab-securefile-get - Get details of a secure file by ID.

SYNOPSIS
glab securefile get [flags]

DESCRIPTION
Get details of a single secure file in a project, identified by its numeric ID. The response includes the file's name, checksum, and associated metadata.

This command requires GitLab 18.0 or later.

By default, the file is looked up in the current project. Use --repo to target another project.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Get details of a secure file by ID
    glab securefile get 1
    # Get details using the 'show' alias
    glab securefile show 1
    # Get details from another project
    glab securefile get 1 -R owner/repo

SEE ALSO
glab-securefile(1)